:root {
  --accent-color: #fbdd62;
  --secondary-accent-color: #FF4274;
  --accent-shadow: 0 0 10px rgba(251, 221, 98, 0.5);
  --main-baground-color: #0E131D;
  --header-baground-color: #080C13;
  --small-text-color: #47596F;
  --header-height: 420px;
  --header-chevron-left: 570px;
  --header-chevron-right: 500px;
  --header-chevron-x: 125px;
  --header-chevron-y: 600px;
  --body-width: 1100px;
  --main-monospace-family: 'Major Mono Display', monospace;
  --secondary-monospace-family: 'Source Code Pro', monospace;
  --main-sans-family: 'Open Sans', sans-serif;
}

/*
  GENERIC
*/

body {
  background-color: var(--main-baground-color);
  font-family: var(--main-sans-family);
  margin: 0;
}

div.body-wrapper {
  background-color: black;
}

.source-code {
  font-family: var(--secondary-monospace-family);
  font-size: 0.9rem;
  white-space: nowrap;
  letter-spacing: .10em;
}

.source-code.blinking {
  max-width: fit-content;
  overflow: hidden;
  border-right: .15em solid var(--accent-color);
  animation:
    typing 4.5s steps(40, end),
    blink-caret .75s step-end infinite;
}

/* The typing effect */
@keyframes typing {
  from { width: 0 }
  to { width: 100% }
}

/* The typewriter cursor effect */
@keyframes blink-caret {
  from, to { border-color: transparent }
  50% { border-color: var(--accent-color); }
}

.container {
  display: flex;
}

.container.row {
  flex-direction: row;
}

.container.column {
  flex-direction: column;
}

.container.row .column-1 {
  display: flex;
  flex: 1 1 0;
  flex-direction: column;
}

.container.row .column-2 {
  display: flex;
  flex: 2 1 0;
  flex-direction: column;
}

div.layout section.page-section div.social-links {
  font-size: 2.5rem;
  color: #6E99FF;
  padding: 10px 0 10px 10px;
  display: flex;
  flex-direction: row;
  justify-content: flex-end;
  gap: 20px;
}

div.layout section.page-section div.social-links a.social-link:link,
div.layout section.page-section div.social-links a.social-link:visited {
  color: #6E99FF;
}
div.layout section.page-section div.social-links a.social-link:hover {
  color:var(--secondary-accent-color);
}

.fade-in {
  opacity: 0;
}

.fade-in.animate {
  opacity: 1;
  transition-property: opacity;
  transition-duration: 1s;
}

.reveal {
  position: relative;
  transform: translateY(-150px);
  opacity: 0;
  transition: 1s all ease;
}

.reveal.animate {
  transform: translateY(0);
  opacity: 1;
}

/*
  HEADER
*/

div.header-bottom {
  z-index: 1;
  /* background: linear-gradient(90deg, var(--accent-color), var(--header-baground-color));
  clip-path: polygon(0 0, 100% 0,
      100% calc(var(--header-height) + 2px),
      var(--header-chevron-right) calc(var(--header-height) + 2px),
      var(--header-chevron-x) calc(var(--header-chevron-y) + 20px),
      0 calc(var(--header-chevron-left) + 20px)); */
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  height: calc(var(--header-chevron-y) + 50px);
}

div.header-base {
  z-index: 2;
  background-color: var(--header-baground-color);
  background-image: url("../images/header.png");
  background-repeat: no-repeat;

  /* clip-path: polygon(0 0, 100% 0,
      100% var(--header-height),
      var(--header-chevron-right) var(--header-height),
      var(--header-chevron-x) var(--header-chevron-y),
      0 var(--header-chevron-left)); */
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  height: calc(var(--header-chevron-y) + 50px);
}

@media only screen and (max-width: 1000px) {
  div.header-bottom {
    position: absolute;
  }

  div.header-base {
    position: absolute;
  }
}

/*
  MAIN MENU
*/

div.header-base div.menu-container {
  padding: 50px;
  width: 150px;
  display: flex;
  flex-direction: column;
  align-items: center;
}

div.header-base div.menu-container img.logo {
  width: 130px;
  height: auto;
}

div.header-base div.menu-container ul.menu {
  color: var(--accent-color);
  font-family: var(--main-monospace-family);
  list-style: none;
  margin: 0;
  padding: 20px 0;
  text-align: center;

}

div.header-base div.menu-container ul.menu li {
  text-align: center;
  max-width: 100px;
  margin: 20px 0;
  text-shadow: var(--accent-shadow);
}

div.header-base div.menu-container ul.menu li a:link,
div.header-base div.menu-container ul.menu li a:visited {
  color: var(--accent-color);
  font-weight: 800;
  text-decoration: none;
}

div.header-base div.menu-container ul.menu li a:hover {
  color: white;
}

div.header-base div.menu-container img.battery {
  width: 43px;
  height: auto;
}

div.header-base div.menu-container div.vertical-line-decoration {
  width: 3px;
  height: 140px;
  background: linear-gradient(var(--header-baground-color), var(--accent-color));
}

/*
  LAYOUT
*/

div.layout {
  z-index: 3;
  position: relative;
  margin: 10px 10px 10px 250px;
  max-width: var(--body-width);
  min-width: 720px;
}

@media only screen and (max-width: 1000px) {
  div.layout {
    z-index: 3;
    position: relative;
    margin: 430px 10px 10px 10px;
    max-width: var(--body-width);
    min-width: 720px;
  }
}

/*
  INTRO
*/

div.intro-wrapper {
  display: flex;
  justify-content: flex-end;
  flex-direction: row;
}

div.intro {
  position: relative;
  z-index: 7;
  height: 315px;
  width: 520px;
  filter: drop-shadow(0px 3px 6px rgba(0, 0, 0, 0.3));
  opacity: 0;
}

div.intro div.profile-pic {
  position: relative;
  height: 310px;
  overflow: hidden;
}

div.intro div.profile-pic img {
  width: 250px;
  height: auto;
  position: absolute;
  top: 0;
  left: 0;
}

div.intro div.profile-pic img.first {
  z-index: 6;
}

div.intro div.profile-pic img.second {
  z-index: 5;
  transform: translateX(10px);
}

div.intro div.profile-pic img.third {
  z-index: 4;
  transform: translateX(20px);
}

div.intro div.profile-pic.animate img.second {
  transform: translateX(120px);
  transition-property: transform;
  transition-duration: 0.3s;
  transition-delay: 0.5s;
  transition-timing-function: ease;
}

div.intro div.profile-pic.animate img.third {
  transform: translateX(240px);
  transition-property: transform;
  transition-duration: 0.4s;
  transition-delay: 0.5s;
  transition-timing-function: ease;
}

div.intro div.intro-text {
  position: absolute;
  top: 300px;
  width: 540px;
  right: 0;
  min-height: 130px;
  background-color: #1D2532;
  clip-path: polygon(0 0,
      calc(100% - 40px) 0,
      100% 40px,
      100% 100%,
      30px 100%,
      0 calc(100% - 30px));
  z-index: 7;
  background-image: url('../images/barcode-02.svg');
  background-repeat: no-repeat;
  background-position: calc(100% - 5px) calc(100% - 10px);
  font-family: var(--secondary-monospace-family);
  font-size: 0.75rem;
  padding: 5px 30px 0 30px;
  border-top-left-radius: 10px;
}

div.intro div.intro-text h3 {
  color: var(--secondary-accent-color);
}

div.intro div.intro-text h4 {
  color: var(--secondary-accent-color);
}

div.intro div.intro-text p {
  color: white;
}

div.intro img.intro-barcode {
  position: absolute;
  right: 40px;
  top: 220px;
  z-index: 8;
}

/*
  SECTIONS
*/
div.layout section.page-section {
  filter: drop-shadow(0px 3px 6px rgba(0, 0, 0, 0.3));
}

div.layout section.page-section:not(:first-child) {
  margin-top: 50px;
}

div.layout section.page-section:not(:last-child) {
  margin-bottom: 100px;
}

div.layout section.page-section div.section-head {
  position: relative;
  min-height: 100px;
  background-color: rgba(0, 0, 0, 0.7);
  max-width: var(--body-width);
  clip-path: polygon(30px 0, 100% 0, 100% 100%, 0 100%, 0 30px);
  border-bottom-left-radius: 10px;
}

div.layout section.page-section div.section-head img.header-image {
  max-width: var(--body-width);
  height: auto;
  filter: grayscale(60%);
  margin: 20px 0 5px 0;
  opacity: 0.5;
}

div.layout section.page-section div.section-head h2.section-title {
  position: absolute;
  bottom: 15px;
  left: 30px;
  color: white;
  font-family: var(--main-monospace-family);
  font-size: 1.7rem;
}

div.layout section.page-section div.section-subhead {
  --box-width: var(--body-width);
  background: #10151D;
  max-width: var(--box-width);
  line-height: 2rem;
  min-height: 40px;
  margin: 10px 0 15px 0;
  padding: 20px 30px;
  color: white;
  clip-path: polygon(0 0, calc(100% - 30px) 0, 100% 30px, 100% 100%, 0 100%);
  border-bottom-left-radius: 10px;
}

div.layout section.page-section div.section-subhead h3 {
  color: var(--accent-color);
  text-shadow: var(--accent-shadow);
  margin-top: 0;
}

div.layout section.page-section div.section-body {
  display: flex;
  max-width: var(--body-width);
  gap: 15px;
}

div.layout section.page-section div.section-body.column {
  flex-direction: column;
}

div.layout section.page-section div.section-body div.detail-box {
  display: flex;
  flex: 1 1 0;
  flex-direction: column;
}

div.layout section.page-section div.section-body div.detail-box h3 {
  display: flex;
  background: #10151D;
  color: var(--accent-color);
  font-family: 'Source Code Pro';
  font-weight: 400;
  font-size: 1.3rem;
  padding: 20px 40px;
  margin: 0;
  text-transform: uppercase;
  gap: 10px;
  flex-direction: column;
  text-shadow: var(--accent-shadow);
}

div.layout section.page-section div.section-body div.detail-box h3 span {
  display: flex;
  flex-direction: row;
  align-items: center;
  gap: 20px;
}

div.layout section.page-section div.section-body div.detail-box h3 small {
  display: block;
  color: var(--small-text-color);
  text-shadow: none;
}

div.layout section.page-section div.section-body div.detail-box.left h3 {
  clip-path: polygon(0 0, calc(100% - 30px) 0, 100% 30px, 100% 100%, 0 100%);
}

div.layout section.page-section div.section-body div.detail-box.right h3 {
  clip-path: polygon(30px 0, 100% 0, 100% 100%, 0 100%, 0 30px);
}

div.layout section.page-section div.section-body div.detail-box.right h3 img {
  height: 30px;
  width: auto;
}

div.layout section.page-section div.section-body div.detail-box div.details {
  background-color: #1D2532;
  color: white;
  padding: 40px;
  line-height: 2.5;
  border-bottom-left-radius: 10px;
}

div.layout section.page-section div.section-body div.detail-box div.details.barcode-01 {
  background-image: url('../images/barcode-01.svg');
  background-repeat: no-repeat;
  background-position: calc(100% - 10px) calc(100% - 15px);
}

div.layout section.page-section div.section-body div.detail-box div.details.barcode-02 {
  background-image: url('../images/barcode-02.svg');
  background-repeat: no-repeat;
  background-position: calc(100% - 5px) calc(100% - 10px);
}

div.layout section.page-section div.section-body div.detail-box div.details ul.details-list {
  margin: 0;
  padding: 0;
  list-style: none;
}

div.layout section.page-section div.section-body div.detail-box div.details ul.details-list li {
  margin: 0 10px 20px 10px;
}

div.layout section.page-section div.section-body a:link,
div.layout section.page-section div.section-body a:visited{
  color: var(--accent-color);
}
div.layout section.page-section div.section-body a:hover{
  color: var(--secondary-accent-color);
}

a.sierpinski:link,
a.sierpinski:visited {
  position: fixed;
  bottom: 40px;
  right: 40px;
  z-index: 10;
  text-decoration: none;
  opacity: 0.7;
}

a.sierpinski:hover {
  opacity: 1;
}

a.sierpinski pre {
  font-family: var(--secondary-monospace-family);
  font-size: 0.3rem;
  color: white;
  line-height: 1.15;
  cursor: pointer;
  font-weight: 800;
}

/*
  FOOTER
*/

div.footer {
  position: relative;
  background-color: var(--main-baground-color);
  clip-path: polygon(0 calc(var(--header-chevron-left) - var(--header-height) + 20px),
      var(--header-chevron-x) calc(var(--header-chevron-y) - var(--header-height) + 20px),
      var(--header-chevron-right) 0, 100% 0, 100% 100%, 0 100%);
  min-height: 400px;
  margin: 20px 0 0 0;
  z-index: 2;
}

div.footer img.no-cookies {
  position: absolute;
  bottom: 50px;
  left: 80px;
  width: 80px;
  height: auto;
}

div.footer div.footer-details {
  margin: 0 20px 20px 490px;
  padding-top: 40px;
  color: var(--small-text-color);
}

div.footer div.footer-details .column {
  padding: 0 10px;
}

div.footer div.footer-details h3 {
  color: var(--accent-color);
  font-family: var(--main-monospace-family);
}

div.footer div.footer-details p {
  max-width: 250px;
  padding-left: 27px;
  line-height: 2.5;
}

div.footer div.footer-details p a:link,
div.footer div.footer-details p a:visited {
  color: var(--small-text-color);
  text-decoration: none;
  display: block;
}

div.footer div.footer-details p a:hover {
  color: white;
}

/*
  PORTFOLIO
*/

section#portfolio div.section-body {
  position: relative;
  min-height: 20px;
  padding: 60px 40px 0px 40px;
  display: flex;
  flex-direction: column;
}

section#portfolio div.section-body div.timeline {
  position: absolute;
  left: 95px;
  top: 0;
  bottom: 40px;
  background: linear-gradient(rgba(0, 0, 0, 0.0), 5%,rgba(251, 221, 98, 1));
  width: 4px;
  border-radius: 2px;
}

section#portfolio div.section-body div.event {
  display: flex;
  flex-direction: row;
  margin-bottom: 30px;
}

section#portfolio div.section-body div.event div.event-image {
  min-width: 300px;
  height: 200px;
  background-color: var(--accent-color);
  clip-path: polygon(0 0,
    calc(100% - 20px) 0,
    100% 20px,
    100% 100%,

    20px 100%,
    0 calc(100% - 20px)
  );
  overflow: hidden;
}

section#portfolio div.section-body div.event div.event-image img {
  width: calc(100% - 4px);
  height: auto;
  max-height: calc(100% - 4px);
  margin: 2px;
  clip-path: polygon(0 0,
    calc(100% - 20px) 0,
    100% 20px,
    100% 100%,
    70px 100%,
    70px calc(100% - 6px),
    40px calc(100% - 6px),
    40px 100%,
    20px 100%,
    0 calc(100% - 20px)
  );
}

section#portfolio div.section-body div.event div.event-description {
  /* background-color: rgba(16, 21, 29, 0.9); */
  background-color: rgba(0, 0, 0, 0.8);
  margin: 20px 0;
  padding: 10px 20px;
  max-height: fit-content;
  color: white;
  border-bottom-right-radius: 10px;
}

section#portfolio div.section-body div.event div.event-description h4 {
  font-family: var(--secondary-monospace-family);
  color: var(--secondary-accent-color);
}
